airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Iemand (Jira)" <j...@apache.org>
Subject [jira] [Commented] (AIRFLOW-5605) Docker image requirement anaconda-client 1.7.2 not found
Date Tue, 08 Oct 2019 01:28:00 GMT

    [ https://issues.apache.org/jira/browse/AIRFLOW-5605?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16946379#comment-16946379
] 

Iemand commented on AIRFLOW-5605:
---------------------------------

Attached `requirements.txt`

> Docker image requirement anaconda-client 1.7.2 not found
> --------------------------------------------------------
>
>                 Key: AIRFLOW-5605
>                 URL: https://issues.apache.org/jira/browse/AIRFLOW-5605
>             Project: Apache Airflow
>          Issue Type: Bug
>          Components: dependencies
>    Affects Versions: 1.10.5
>         Environment: OS: Ubuntu 18.04
> Docker: `docker version`
> Client:
>  Version:           18.09.7
>  API version:       1.39
>  Go version:        go1.10.8
>  Git commit:        2d0083d
>  Built:             Thu Jun 27 17:56:23 2019
>  OS/Arch:           linux/amd64
>  Experimental:      false
> Server: Docker Engine - Community
>  Engine:
>   Version:          18.09.7
>   API version:      1.39 (minimum version 1.12)
>   Go version:       go1.10.8
>   Git commit:       2d0083d
>   Built:            Thu Jun 27 17:23:02 2019
>   OS/Arch:          linux/amd64
>   Experimental:     false
>            Reporter: Iemand
>            Priority: Major
>              Labels: Docker, dockerfile
>         Attachments: airflow-docker_issue_anaconda-client1.7.2.txt
>
>
> Trying to build an Airflow Docker image, but hitting the error:
> {code:java}
> Step 6/12 : RUN pip install -r /tmp/requirements.txt
>  ---> Running in dad143582dff
> Collecting alabaster==0.7.11 (from -r /tmp/requirements.txt (line 1))
>   Downloading https://files.pythonhosted.org/packages/6e/71/c3648cc2f675063dbe2d669004a59e4a5120172713a1de3c3b14144d4b31/alabaster-0.7.11-py2.py3-none-any.whl
> Collecting alembic==1.0.11 (from -r /tmp/requirements.txt (line 2))
>   Downloading https://files.pythonhosted.org/packages/7b/8b/0c98c378d93165d9809193f274c3c6e2151120d955b752419c7d43e4d857/alembic-1.0.11.tar.gz
(1.0MB)
> Collecting anaconda-client==1.7.2 (from -r /tmp/requirements.txt (line 3))
> ERROR: Could not find a version that satisfies the requirement anaconda-client==1.7.2
(from -r /tmp/requirements.txt (line 3)) (from versions: 1.1.1, 1.2.2)
> ERROR: No matching distribution found for anaconda-client==1.7.2 (from -r /tmp/requirements.txt
(line 3))
> The command '/bin/sh -c pip install -r /tmp/requirements.txt' returned a non-zero code:
1{code}
>  
> Please see attached .txt for full output.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message